net.sf.jasperreports.engine.fonts

## Class SimpleFontFace

- java.lang.Object
- - net.sf.jasperreports.engine.fonts.SimpleFontFace

- All Implemented Interfaces:
    java.lang.Cloneable, FontFace, JRCloneable

      public class SimpleFontFace
      extends java.lang.Object
      implements FontFace, JRCloneable

  Version:
    $Id: SimpleFontFace.java 6550 2013-09-30 15:51:04Z chicuslavic $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleFontFace(java.awt.Font font)` Deprecated. To be removed.
    `SimpleFontFace(JasperReportsContext jasperReportsContext)`
    `SimpleFontFace(JasperReportsContext jasperReportsContext, java.lang.String ttf)` Deprecated. Replaced by #`SimpleFontFace(JasperReportsContext)` and `setTtf(String)`.
    `SimpleFontFace(java.lang.String file)` Deprecated. Replaced by #`SimpleFontFace(JasperReportsContext)` and `setTtf(String)`.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()`
    `java.lang.String` | `getEot()`
    `java.lang.String` | `getFile()` Deprecated. Replaced by `getTtf()`.
    `java.awt.Font` | `getFont()` Returns a non-null instance of java.awt.Font representing the font face.
    `static SimpleFontFace` | `getInstance(JasperReportsContext jasperReportsContext, java.lang.String fontName)` Deprecated. Replaced by `SimpleFontFace(JasperReportsContext)` and `setTtf(String)`.
    `java.lang.String` | `getName()` Returns the non-null name of the font face.
    `java.lang.String` | `getPdf()`
    `java.lang.String` | `getSvg()`
    `java.lang.String` | `getTtf()` Returns the TTF file, if the font face has specified one (the font face does not specify a TTF file in case it maps a JVM available font such as a Java logical font or a system font).
    `java.lang.String` | `getWoff()`
    `void` | `setEot(java.lang.String eot)`
    `void` | `setPdf(java.lang.String pdf)`
    `void` | `setSvg(java.lang.String svg)`
    `void` | `setTtf(java.lang.String ttf)`
    `void` | `setWoff(java.lang.String woff)`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SimpleFontFace

          public SimpleFontFace(JasperReportsContext jasperReportsContext,
                        java.lang.String ttf)

      Deprecated. Replaced by #`SimpleFontFace(JasperReportsContext)` and `setTtf(String)`.

    - #### SimpleFontFace

          public SimpleFontFace(java.lang.String file)

      Deprecated. Replaced by #`SimpleFontFace(JasperReportsContext)` and `setTtf(String)`.

    - #### SimpleFontFace

          public SimpleFontFace(java.awt.Font font)

      Deprecated. To be removed.

    - #### SimpleFontFace

          public SimpleFontFace(JasperReportsContext jasperReportsContext)

  - ### Method Detail

    - #### clone

          public java.lang.Object clone()

      Specified by:
        `clone` in interface `JRCloneable`
      Overrides:
        `clone` in class `java.lang.Object`

    - #### getInstance

          public static SimpleFontFace getInstance(JasperReportsContext jasperReportsContext,
                                   java.lang.String fontName)

      Deprecated. Replaced by `SimpleFontFace(JasperReportsContext)` and `setTtf(String)`.

    - #### getName

          public java.lang.String getName()

      Description copied from interface: `FontFace`
      Returns the non-null name of the font face.
      Specified by:
        `getName` in interface `FontFace`

    - #### getFile

          public java.lang.String getFile()

      Deprecated. Replaced by `getTtf()`.
      Specified by:
        `getFile` in interface `FontFace`

    - #### getTtf

          public java.lang.String getTtf()

      Description copied from interface: `FontFace`
      Returns the TTF file, if the font face has specified one (the font face does not specify a TTF file in case it maps a JVM available font such as a Java logical font or a system font).
      Specified by:
        `getTtf` in interface `FontFace`

    - #### setTtf

          public void setTtf(java.lang.String ttf)

    - #### getFont

          public java.awt.Font getFont()

      Description copied from interface: `FontFace`
      Returns a non-null instance of java.awt.Font representing the font face.
      Specified by:
        `getFont` in interface `FontFace`

    - #### getPdf

          public java.lang.String getPdf()

      Specified by:
        `getPdf` in interface `FontFace`

    - #### setPdf

          public void setPdf(java.lang.String pdf)

    - #### getEot

          public java.lang.String getEot()

      Specified by:
        `getEot` in interface `FontFace`

    - #### setEot

          public void setEot(java.lang.String eot)

    - #### getSvg

          public java.lang.String getSvg()

      Specified by:
        `getSvg` in interface `FontFace`

    - #### setSvg

          public void setSvg(java.lang.String svg)

    - #### getWoff

          public java.lang.String getWoff()

      Specified by:
        `getWoff` in interface `FontFace`

    - #### setWoff

          public void setWoff(java.lang.String woff)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com